i2o_msg_out_to_virt
Prev | I2O message devices | Next

## Name

i2o_msg_out_to_virt — Turn an I2O message to a virtual address

## Synopsis

`struct i2o_message * i2o_msg_out_to_virt (` | struct i2o_controller * | c,
| u32 | m`)`;

## Arguments

`c`

  controller

`m`

  message engine value

## Description

Turn a receive message from an I2O controller bus address into a Linux virtual address. The shared page frame is a linear block so we simply have to shift the offset. This function does not work for sender side messages as they are ioremap objects provided by the I2O controller.

Prev | Up | Next
i2o_driver_notify_device_remove | Home | i2o_msg_in_to_virt